package com.chenyang.druid.sql.dialect.mariadb.ast;

import com.chenyang.druid.sql.ast.SQLObjectImpl;
import com.chenyang.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public abstract class MariadbObjectImpl extends SQLObjectImpl implements MariadbObject {
   protected void accept0(SQLASTVisitor v) {
      if (v instanceof MariadbASTVisitor) {
         this.accept0((MariadbASTVisitor)v);
      } else {
         throw new IllegalArgumentException("not support visitor type : " + v.getClass().getName());
      }
   }

   public abstract void accept0(MariadbASTVisitor var1);
}
